protocols / FetchAttachmentsProtocol

# FetchAttachmentsProtocol

`class FetchAttachmentsProtocol : FetchDataProtocol<Attachment, ByteArray>`

Given a set of hashes either loads from from local storage or requests them from the other peer. Downloaded attachments are saved to local storage automatically.

### Constructors

<init> | `FetchAttachmentsProtocol(requests: Set<SecureHash>, otherSide: SingleMessageRecipient)` Given a set of hashes either loads from from local storage or requests them from the other peer. Downloaded attachments are saved to local storage automatically.

### Properties

queryTopic | `val queryTopic: String`

### Inherited Properties

otherSide | `val otherSide: SingleMessageRecipient`
requests | `val requests: Set<SecureHash>`

### Functions

convert | `fun convert(wire: ByteArray): Attachment`
load | `fun load(txid: SecureHash): Attachment?`
maybeWriteToDisk | `fun maybeWriteToDisk(downloaded: List<Attachment>): Unit`

### Inherited Functions

call | `open fun call(): Result<T>` This is where you fill out your business logic.

### Companion Object Properties

TOPIC | `const val TOPIC: String`